Subject: Re: [extropy-chat] Re: The Vatican on Schiavo

From: Mike Lorrey <[email-masked]>
Date: Tue, 22 Mar 2005 06:17:42 -0800 (PST)

--- Technotranscendence <[email-masked]> wrote:
> 
> Agreed.
> 
> People don't seem to get that there's nothing logically invalid about
> the pot calling the kettle black.  After all, the kettle may indeed
> be black.:)

Indeed. Of course, such moral judgements are nowhere near as offensive
to post-modernists as mere hypocrisy.

Mike Lorrey
Vice-Chair, 2nd District, Libertarian Party of NH
"Necessity is the plea for every infringement of human freedom.
It is the argument of tyrants; it is the creed of slaves."
                                      -William Pitt (1759-1806) 
Blog: http://intlib.blogspot.com

__________________________________ 
Do you Yahoo!? 
Yahoo! Small Business - Try our new resources site!
http://smallbusiness.yahoo.com/resources/ 
_______________________________________________
extropy-chat mailing list
[email-masked]
http://lists.extropy.org/mailman/listinfo/extropy-chat

---

From: Mike Lorrey <[email-masked]>
Date: Tue, 22 Mar 2005 06:15:32 -0800 (PST)

--- Giu1i0 Pri5c0 <[email-masked]> wrote:
> >From the Vatican's newspaper, on Terri Schavo:
> "la Chiesa cattolica condanna in modo assoluto perché viola il valore
> fondamentale della vita umana della persona che nasce con noi e
> appartiene alla stessa natura di esseri umani viventi. Nessuno può
> arrogarsi il diritto della morte di una persona innocente"
> Translated: "The Chatolic Church absolutely condemns this [switching
> off life support equipment], as it is against the fundamental value
> of
> the human life of a person who is born with us and belongs to the
> same
> kind of living human beings. Nobody can assume the right to put an
> innocent persons to death".
> Question to the Catholic Church: How many innocent persons have you
> put to death with the inquisition?

Not to mention that the media is totally misportraying this. As much as
I tend to be critical of rense.com, they have some videos of Schiavo
with her parents and she is clearly concious, aware, emotionally
reactive, and was even able to say "Hi". She is not a vegetable, brain
dead, or in a coma despite what her husband's attorneys say. She is
clearly severely handicapped and in need of therapy, which her husband
has denied in order to keep her in as poor condition as possible.

Mike Lorrey

---

From: Mike Lorrey <[email-masked]>
Date: Tue, 22 Mar 2005 06:19:52 -0800 (PST)

--- Simon Smith <[email-masked]> wrote:
> 
> "Nobody can assume the right to put an innocent person to death."
> 
> Is it just me, or does all this open the door to promoting life
> extension for people who actually *want* to stay alive longer? If the
> Church condemns *not* using science and technology to keep someone
> alive longer, must it not logically then support using science and
> technology to keep everyone alive longer? 
> 
> The Schiavo affair is being used by the Christian Right as pro-life
> propaganda, but I think that it could just as easily be used by
> transhumanists for pro-longevity propaganda.
> 
> By the way, the Vatican's position is quite hypocritical given that a
> few weeks ago it was promoting the Pope's suffering with Parkinson's
> as
> a model for the world, saying that far too many healthcare resources
> are
> spent on individuals in wealthy nations. How much has it cost to keep
> Schiavo alive in a vegetative state? 

Hypocriticality is irrelevant. Schiavo won a $1.3 million award for her
injuries, which her husband and his live-in girlfriend and her two kids
by him are seeking to keep as much of....

Mike Lorrey

__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com 
_______________________________________________
extropy-chat mailing list
[email-masked]
http://lists.extropy.org/mailman/listinfo/extropy-chat